Subject: Re: [PATCH v2] PCI: dpc: Increase pciehp waiting time for DPC recovery

From: Lukas Wunner <[email-masked]>
Date: Thu, 5 Feb 2026 09:54:15 +0100

On Wed, Feb 04, 2026 at 11:55:42AM +0800, LeoLiu-oc wrote:
> For example, The execution of the ice_pci_err_detected() in the ice network
> card driver exceeded the maximum waiting time for DPC recovery, causing the
> pciehp_disable_slot() to be executed which is not needed. From the user's
> point of view, you will see that the ice network card may not be usable and
> could even cause more serious errors, such as a kernel panic. kernel panic
> is caused by a race between pciehp_disable_slot() and pcie_do_recovery().
> In practice, we would observe that the ice network card is in an
> unavailable state and a kernel panic.

Unfortunately v2 was submitted without answering all of the questions
and testing all of the things asked for during review:

https://lore.kernel.org/all/[email-masked]/